var nowSn = localStorage.getItem("Safer_m");
var nowNa = localStorage.getItem("Safer_n");
var nowLine = localStorage.getItem("Safer_ol");
var twSn = undefined,whoSn = null;
var allList = [];
var fileStr = null;
var allFile = [];
var faceInfo = [];
layui.use(['layer', 'form','table'], function(){
	var layer = layui.layer,
		table = layui.table,
		form = layui.form,
		$ = layui.jquery;
	form.on("select", function(data){
		setInit(data.value);
	})
	window.addEventListener('message',(data)=>{
		getInit();
	})
	function firstTable(obj) {
		table.render({
			elem: '#FaceTable',
			title: '語音数据列表',
			cols: [
				[{
					type: 'numbers',
					title: getLang("Number"),
					sort: true,
					align: 'center',
					width:80
				}, {
					field: 'filename',
					align: 'center',
					title: getLang("PhonName")
				}, {
					align: 'center',
					title: getLang("Operate"),
					toolbar: '#barDemo',
					width:80
				}]
			],
			data: obj,
			id: "testReload"
		});
	}
	table.on('tool(FaceTable)', function (obj) {
		var data = obj.data,layEvent = obj.event;
		if(layEvent === 'delete'){
			let index = layer.open({
				type: 1,
				title: getLang("Tips"),
				offset: 'auto',
				area: ["30%", "auto"],
				id: 'layerDemo4',
				content: `<div class="text-center padding-tb text-black">${getLang("DelData")}</div>`,
				btn: [getLang("Delete"), getLang("Cancel")],
				yes: function () {
					let data1={
						"msgid":new Date().getTime()+"",
						"sn":whoSn,
						"event":"delVoice",
						"info":[{    
							"filename": data.filename
						}]
					};
					let _opts= {
						url:"/request",
						type:"POST"
					};
					tokenPostAjax(_opts,data1)
					.then(function(_res){
						if(_res.result == "ok"){
							layer.msg(getLang("DelSucc"));
							setInit(whoSn);
						}else{
							layer.msg(getLang("DelErr"));
						}
						layer.close(index);
					})
				}
			})
		}
	});
	$(".demoTable input").on("input","",function(e){
		let _key = $(this).val();
		let newArr = [];
		let _obj = allList;
		if(_key == ""){
			newArr = _obj;
		}else{
			for(var i=0;i<_obj.length;i++){
				let _str = JSON.stringify(_obj[i]);
				if(_str.indexOf(_key) != -1){
					newArr.push(_obj[i]);
				}
			}
		}
		firstTable(newArr);
	})
	$('#vocFile').change(function(e) {
		var files = e.target.files;
		for (var i = 0; i < files.length; i++) {
			if(files[i].name.indexOf(".wav") == -1){
				layer.msg(getLang("wavType"));
			}else{
				fileStr = files[i];
				$("#aduioName").text(fileStr.name);
				$("#faceImg img").attr("src","../imgs/audioicon.png");
				$("#faceImg img").css("width","70px");
			}
		} 
	})
	$(document).on("click",".delConf",function(){
		let start = $(this).data("ind");
		faceInfo.splice(start,1);
		allFile.splice(start,1);
		setHtml();
	})
	$("button[name='newadd']").on("click","",function(){
		getFormData('newadd');
	});
	$("button[name='submBtn']").on("click","",function(){
		let _online = localStorage.getItem("Safer_ol");
		if(_online == 1){
			if(!allFile.length){
				getFormData();
			}
				addData();
		}else{
			layer.msg(getLang("DeviceOff"));
		}
	})
	function getFormData(_type){
		let _name = $("#INFO_view ._name").val();
		let _url = fileStr;
		if(_name == ""){
			layer.msg(getLang("EnterVoiceName"));
			return;
		}
		if(_url == null){
			layer.msg(getLang("SelVoiceFile"));
			return;
		}
		faceInfo.push({
			"filename": _name,
			"fileurl": _url.name,
		});
		allFile.push(fileStr);
		if(_type == 'newadd'){
			setHtml();
			$("#INFO_view ._name").val("");
			fileStr = null;
			$("#aduioName").text("");
			$("#faceImg img").attr("src","../imgs/updateicon.png");
			$("#faceImg img").css("width","65px");
		}
	}
	function setHtml(){
		if(faceInfo.length){
			let _str = "";
			$("#SubmitLi").show();
			for(var i=0;i<faceInfo.length;i++){
				_str += `<div>
							<div>${faceInfo[i].filename}</div>
							<div>${faceInfo[i].fileurl}</div>
							<div data-ind="${i}" class="delConf">${getLang("Remov")}</div>
						</div>`;
			}
			$(".toSubmit").html(_str);
		}else{
			$(".toSubmit").html("");
			$("#SubmitLi").hide();
		}
	}
	function addData(){
		var formData = new FormData();
		for(var i=0;i<allFile.length;i++){
			formData.append("jpg_file", allFile[i]);
		}
		let _info = {
			"msgid":new Date().getTime()+"",
			"sn":whoSn,
			"event":"addVoice",
			"info":faceInfo
		}
		formData.append("json", JSON.stringify(_info));
		var openind = layer.load();
		setTimeout(() => {
			upDateAjax(formData,openind)
			.then(function(res){
				if(res.result == "ok"){
					layer.msg(getLang("EntrySucc"));
					initForm();
				}else{
					layer.msg(getLang("EntryErr"));
				}
				layer.close(openind);
			})
		},100);
	}
	function initForm(){
		$(".toSubmit").html("");
		$("#SubmitLi").hide();
		$("#INFO_view ._name").val("");
		$("#aduioName").text("");
		$(".upImg").html(`<input type="file" id="vocFile"/>
 									<div id="faceImg">
 										<img src="../imgs/updateicon.png" style="width: 65px;" alt="">
 									</div>
		`);
		fileStr = null;
		faceInfo = [];
		allFile = [];
		setInit(whoSn);
	}
	function getFirst(){
		var openind = layer.load();
		setTimeout(() => {
			let data1={
				"msgid":new Date().getTime()+"",
				"sn":whoSn,
				"event":"voiceLists"
			};
			let _opts= {
				url:"/request",
				type:"POST"
			};
			tokenPostAjax(_opts,data1)
			.then(function(res){
				if(res.result == "ok"&&res.data.info != undefined){
					allList = res.data.info;
					firstTable(res.data.info);
				}else{
					allList = [];
					firstTable([]);
				}
				layer.close(openind);
			})  
		},100);
	}
	$(document).ready(function(){
		getInit();
	})
	function getInit(){
		if(localStorage.getItem("Safer_d") != 4){
			nowSn = localStorage.getItem("Safer_m");
			nowNa = localStorage.getItem("Safer_n");
			nowLine = localStorage.getItem("Safer_ol");
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn != undefined){
				$("#selectBox").css("display","block");
				$("#shipNa").css("display","none");
				let _str = `<option value="${nowSn}">${nowNa}${twSn[1] == 1?'驾驶':'集控'}台</option>
							<option value="${twSn[0]}">${nowNa}${twSn[1] == 0?'驾驶':'集控'}台</option>`;
				$("#selectBox select").html(_str);
				$("#selectBox option[value='"+nowSn+"']").attr("selected",'selected');
				form.render();
			}else{
				$("#selectBox").css("display","none");
				$("#shipNa").css("display","block");
				$("#shipNa").text(nowNa);
			}
			if(nowLine == 1){
				whoSn = nowSn;
				getFirst();
			}else{
				firstTable([]);
				layer.msg(getLang("DeviceOff"));
			}
		}
	}
	function setInit(_val){
		whoSn = _val;
		if(twSn == undefined || _val != twSn[0]){
			nowLine = localStorage.getItem("Safer_ol");
			if(nowLine == 1){
				getFirst();
			}else{
				firstTable([]);
				layer.msg(getLang("DeviceOff"));
			}
		}else{
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn[2] == 1){
				getFirst();
			}else{
				firstTable([]);
				layer.msg(getLang("DeviceOff"));
			}
		}
	}
})