layui.use(['layer', 'table', 'element', 'form', 'laydate', 'upload'], function() {
		var element = layui.element,
			form = layui.form,
			table = layui.table,
			upload = layui.upload,
			laydate = layui.laydate,
			$ = layui.$,
			nowSn = localStorage.getItem("Safer_m"),
			nowProd = localStorage.getItem("Safer_n"),
			nowLine = localStorage.getItem("Safer_ol"),
			twSn = undefined,
			whoSn = null;
			allList = [];
		form.on("select(Ship)", function(data){
			setInit(data.value);
		});
		$(document).ready(function() {
			getInit();
		})
		window.addEventListener('message', (data) => {
			getInit();
		})
		function getInit(){
			if(localStorage.getItem("Safer_d") != 4){
				nowSn = localStorage.getItem("Safer_m");
				nowNa = localStorage.getItem("Safer_n");
				nowLine = localStorage.getItem("Safer_ol");
				let _twSn = localStorage.getItem("Safer_tS");
				twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
				if(twSn != undefined){
					$("#selectBox").css("display","block");
					$("#prod").css("display","none");
					let _str = `<option value="${nowSn}">${nowNa}${twSn[1] == 1?'驾驶':'集控'}台</option>
								<option value="${twSn[0]}">${nowNa}${twSn[1] == 0?'驾驶':'集控'}台</option>`;
					$("#selectBox select").html(_str);
					$("#selectBox option[value='"+nowSn+"']").attr("selected",'selected');
					form.render();
				}else{
					$("#selectBox").css("display","none");
					$("#prod").css("display","block");
					$("#prod").text(nowNa);
				}
				if(nowLine == 1){
					whoSn = nowSn;
					setHtml();
				}else{
					firstTable([]);
					layer.msg(getLang("DeviceOff"));
				}
			}else{
				firstTable([]);
			}
		}
		function setHtml() {
			let _open = layer.load();
			setTimeout(()=>{
				getCarem(whoSn,function(res){
					firstTable(res);
					layer.close(_open)
				})
			},200)
		}
		function setInit(_val){
			whoSn = _val;
			if(twSn == undefined || _val != twSn[0]){
				nowLine = localStorage.getItem("Safer_ol");
				if(nowLine == 1){
					setHtml();
				}else{
					firstTable([]);
					layer.msg(getLang("DeviceOff"));
				}
			}else{
				let _twSn = localStorage.getItem("Safer_tS");
				twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
				if(twSn[2] == 1){
					setHtml();
				}else{
					firstTable([]);
					layer.msg(getLang("DeviceOff"));
				}
			}
		}
		table.on('tool(roTable)', function(obj) {
			var _data = obj.data,
				layEvent = obj.event;
			if (layEvent === 'edit') {
				allEdit(_data)
			}
		})

		function allEdit(_data) {
			let index = layer.open({
				type: 1,
				offset: 'auto',
				title: getLang("CameraInfo"),
				area: ["70%", "auto"],
				id: 'open1',
				content: `<div style="padding: 0 2%;width:100%;">
				<form class="layui-form">
					<table class="layui-table" border-color="#95b99e">
						<thead>
							<tr>
								<td align="center"><span class="text-red">*</span>${getLang("CameraId")}</td>
								<td align="center">
									<div>
										<input id="cameraId" disabled value="${_data.cameraid}" class="layui-input" placeholder="${getLang("CameraId")}"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>${getLang("CameraNa")}</td>
								<td align="center">
									<div>
										<input id="cameraName" autocomplete="off" value="${_data.name}" class="layui-input" placeholder="${getLang("CameraNa")}"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">${getLang("CameraRes")}</td>
								<td>
									<div class="_stat">
										<select class="layui-select" lay-filter="_Rtmp">
											<option value ="0">1280x720</option>
											<option value ="1">960x544</option>
											<option value ="2">720x416</option>
											<option value ="3">640x380</option>
											<option value ="4">480x272</option>
											<option value ="5">320x192</option>
										</select>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>${getLang("VideoClips")}</td>
								<td align="center">
									<div>
										<input id="videoNum" data-na="${_data.videoNum != undefined?"videoNum":"premium"}" value="${_data.videoNum != undefined?_data.videoNum:(_data.premium != undefined?_data.premium:0)}" autocomplete="off" class="layui-input" placeholder="${getLang("VideoClips")}"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>${getLang("PlayPath")}</td>
								<td align="center">
									<div>
										<input id="rtspUrl" autocomplete="off" value="${_data.rtspUrl}" class="layui-input" placeholder="${getLang("PlayPath")}"></input>
									</div>
								</td>
							</tr>
						<thead>
					</table>
				</form>
				<div class="padding-tb-sm text-center">
					<button class="layui-btn layui-btn-primary layui-border-green" id="demo1">${getLang("Cancel")}</button>
					<button class="layui-btn" id="demo2">${getLang("Submit")}</button>
				</div>
			</div>`,
				shade: 0.5,
			});
			$("#open1 ._stat option[value='"+_data.rtmpResoultion+"']").attr("selected","selected");
			// $("._stat option[value='"+_data.rtmpResoultion+"']").attr("selected",'selected');
			form.render();
			form.on("select(_Rtmp)", function(data){
				_data.rtmpResoultion = data.value;
			});
			$("#demo1").on("click", "", function() {
				layer.close(index);
			})
			$("#demo2").on("click", "", function() {
				if ($("#shipNa").val() != "") {
					let _obj = {};
					let _name = $("#videoNum").data("na");
					if(_name == "videoNum"){
						_obj = {
							"msgid":new Date().getTime()+"",
							"sn":whoSn,
							"event":"IPCConfig",
							"info":{
								"cameraId":$("#cameraId").val(),
								"cameraName":$("#cameraName").val(),
								"streamUrl":$("#rtspUrl").val(),
								"rtmpResoultion":parseInt(_data.rtmpResoultion),
								"videoNum": parseInt($("#videoNum").val())
							}
						};
					}else{
						_obj = {
							"msgid":new Date().getTime()+"",
							"sn":whoSn,
							"event":"IPCConfig",
							"info":{
								"cameraId":$("#cameraId").val(),
								"cameraName":$("#cameraName").val(),
								"streamUrl":$("#rtspUrl").val(),
								"rtmpResoultion":parseInt(_data.rtmpResoultion),
								"premium": parseInt($("#videoNum").val())
							}
						};
					}
					AddList(_obj, index);
				} else {
					layer.msg(getLang("IntegrInfo"));
					return;
				}
			})
		}
		function AddList(data1, ind) {
			var openind = layer.load();
			setTimeout(() => {
				let _opts= {
					url:"/request",
					type:"POST"
				};
				tokenPostAjax(_opts,data1)
				.then(function(res){
					if(res.result == "ok"){
						setInit(whoSn);
					}else{
						layer.msg(getLang("EditErr"));
					}
					layer.close(ind);
					layer.close(openind);
				})
			},200);
		}

		function firstTable(obj) {
			personDataTable = table.render({
				elem: '#roTable',
				title: '摄像头列表',
				cols: [
					[{
						type: "numbers",
						align: 'center',
						title: getLang("Number"),
						width: 80
					}, {
						field: 'cameraid',
						align: 'center',
						title: getLang("CameraId"),
						width: 120
					}, {
						field: 'name',
						align: 'center',
						title: getLang("CameraNa"),
						width: 120
					}, {
						field: 'rtmpResoultion',
						align: 'center',
						title: getLang("CameraRes"),
						width: 120,
						templet: '#rtmpTpl'
					}, {
						field: 'videoNum',
						align: 'center',
						title: getLang("VideoClips"),
						width: 120,
						templet:function(d){
							return d.videoNum != undefined?d.videoNum:(d.premium != undefined?d.premium:0)
						}
					}, {
						field: 'rtspUrl',
						align: 'center',
						title: getLang("PlayPath")
					}, {
						align: 'center',
						title: getLang("Operate"),
						toolbar: '#barDemo',
						width: 100
					}]
				],
				data: obj,
				id: "testReload"
			});
			form.render();
		}
	});
