	layui.use(['layer','table','element','form','laydate','upload'], function() {
	var element = layui.element,
		form = layui.form,
		table = layui.table,
		upload = layui.upload,
		laydate = layui.laydate,
		$ = layui.$,
		User_ = null,
		nowSn = localStorage.getItem("Safer_m"),
		reqestNum=1,
		allList = [];
	$("#search").on("input","",function(){
		let _key = $(this).val(),newArr = [],_ovj = allList;
		if(_key == ""){
			newArr = allList;
		}else{
			for(var i=0;i<_ovj.length;i++){
				if( JSON.stringify(_ovj[i]).indexOf(_key) != -1){
					newArr.push(_ovj[i])
				}
			}
		}
		firstTable(newArr);
	});
	$(document).ready(function(){
		User_=JSON.parse(getCookie("_YZS_Yu"));
		nowSn = localStorage.getItem("Safer_m");
		setHtml();
	})
	function setHtml() {
		let data = {
			"sn": nowSn
		};
		let _opts = {
			url: "/get_page_bj_list?page_num=1&token=bfbdfbd&usr=" + User_.userName
		}
		dhPAjax(_opts, data)
		.then(function(res) {
			if (res.length){
				let _arr = [],_obj = res;
				for(let i=0;i<_obj.length;i++){
					_arr.push({
						"id":_obj[i][5],
						"Number": _obj[i][5],
						"spareName": _obj[i][2],
						"Brand": _obj[i][4],
						"position": _obj[i][11],
						"Total": _obj[i][8],
						"Specification": _obj[i][3],
						"Classification": _obj[i][0],
						"Unit": _obj[i][6],
						"Price": _obj[i][9],
						"Remark": _obj[i][12]
					})
				}
				allList = _arr;
			} else {
				allList = [];
			}
			firstTable(allList);
		})
	}
	table.on('tool(roTable)', function(obj) {
		var _data = obj.data,
			layEvent = obj.event;
		if (layEvent === 'outStock') {
			allEdit(_data,"out");
		}else if (layEvent === 'onStock'){
			allEdit(_data,"on");
		}else if (layEvent === 'edit'){
			allEdit(_data,"edit");
		}
	})
	$("#newAdd").on("click","",function(){
		allEdit({
			"id":undefined,
			"Number":"",
			"spareName":"",
			"Brand":"",
			"position":"",
			"Total":"",
			"Specification":"",
			"Classification": "",
			"Unit": "",
			"Price":"",
			"Remark": ""
		},"new");
	})
	function allEdit(_data,_type){
		let index = layer.open({
			type: 1,
			offset: 'auto',
			title:"备件信息",
			area: ["70%", "auto"],
			id: 'open1',
			content: `<div style="padding: 0 2%;width:100%;">
				<form class="layui-form">
					<table class="layui-table" border-color="#95b99e">
						<thead>
							<tr>
								<td align="center"><span class="text-red">*</span>备件编码</td>
								<td align="center">
									<div>
										<input id="Number" value="${_data.Number}" class="layui-input" placeholder="备件编码"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>备件名称</td>
								<td align="center">
									<div>
										<input id="spareName" autocomplete="off" value="${_data.spareName}" class="layui-input" placeholder="备件名称"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">备件规格</td>
								<td>
									<div>
										<input id="Specification" value="${_data.Specification}" autocomplete="off" class="layui-input" placeholder="备件规格"></input>
									</div>
								</td>
								<td align="center">备件品牌</td>
								<td align="center">
									<div>
										<input id="Brand" value="${_data.Brand}" autocomplete="off" class="layui-input" placeholder="备件品牌"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>备件分类</td>
								<td align="center">
									<div>
										<input id="Classification" autocomplete="off" value="${_data.Classification}" class="layui-input" placeholder="备件分类"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>计量单位</td>
								<td align="center">
									<div>
										<input id="Unit" autocomplete="off" value="${_data.Unit}" class="layui-input" placeholder="计量单位"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>${_type == "new"?'入库数量':'库存总数'}</td>
								<td align="center">
									<div>
										<input id="Total" autocomplete="off" value="${_data.Total}" class="layui-input" placeholder="入库数量"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>	进货单价</td>
								<td align="center">
									<div>
										<input id="Price" autocomplete="off" value="${_data.Price}" class="layui-input" placeholder="	进货单价"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">存放地址</td>
								<td align="center">
									<div>
										<input id="position" autocomplete="off" value="${_data.position}" class="layui-input" placeholder="入库数量"></input>
									</div>
								</td>
								<td align="center">备注</td>
								<td align="center">
									<div>
										<input id="Remark" autocomplete="off" value="${_data.Remark}" class="layui-input" placeholder="	进货单价"></input>
									</div>
								</td>
							</tr>
						<thead>
					</table>
				</form>
				<div class="padding-tb-sm flex align-center justify-between">
					<div style="display:${_type != "out"&&_type != "on"?'block':'none'}"></div>
					<div class="text-sm flex align-center" style="display:${_type == "out"||_type == "on"?'flex':'none'}">
						<div style="width:115px;"><span class="text-red">*</span>${_type == "out"?'出库数量':'入库数量'}：</div>
						<input type="text" autocomplete="off" id="Quantity" class="yz_input" placeholder="数量"/>
					</div>
					<div>
						<button class="layui-btn layui-btn-primary layui-border-green" id="demo1">取消</button>
						<button class="layui-btn" id="demo2">提交</button>
					</div>
				</div>
			</div>`,
			shade: 0.5,
		});
		$("#Number").attr("disabled",_type == "new"?false:true);
		$("#Total").attr("disabled",_type == "new"?false:true);
		form.render();
		$("#demo1").on("click", "", function() {
			layer.close(index);
		})
		$("#demo2").on("click", "", function() {
			let _arr0 = $("#Classification").val(),
				_arr2 = $("#spareName").val(),
				_arr3 = $("#Specification").val(),
				_arr4 = $("#Brand").val(),
				_arr5 = $("#Number").val(),
				_arr6 = $("#Unit").val(),
				_arr7 = $("#Quantity").val(),
				_arr8 = $("#Total").val(),
				_arr9 = $("#Price").val(),
				_arr11 = $("#position").val(),
				_arr13 = $("#Remark").val(),
				_arr14 = User_.userName;
			if(_arr5 != "" && _arr2 != "" && _arr0 != ""&&_arr6 != ""&&_arr8 != ""&&_arr9 != ""){
				if(_data.id != undefined){
					if(_type == "out"){
						var _Quan = parseInt($("#Quantity").val());
						if(_Quan<1){
							 layer.msg("数量不能少于1");
						}else{
							if(_Quan>(parseInt(_data.Total)-1)){
								layer.msg("数量不能多于库存");
							}else{
								outStock({
									sn: _data.Number,
									num: _Quan,
									// usr:User_.userName
									usr:_arr14
								},index);
							}
						}
					}else if(_type == "on"){
						AddList([_arr0,'无',_arr2,_arr3,_arr4,_arr5,_arr6,_arr7,_arr8,_arr9,0,_arr11,'无',_arr13,_arr14],index);
					}else if(_type == "edit"){
						let sqlXg = `sn='${_arr5}',name='${_arr2}',size='${_arr3}',pp='${_arr4}',big='${_arr0}',dw='${_arr6}',now_num='${_arr8}',price='${_arr9}',postion='${_arr11}',beizhu='${_arr13}'`;
						UpdateList({
							sql_xg: sqlXg,
							sn: _arr5,
							usr: _arr14
						},index);
					}
				}else{
					AddList([_arr0,'无',_arr2,_arr3,_arr4,_arr5,_arr6,_arr8,0,_arr9,0,_arr11,'无',_arr13,_arr14]
					, index);
				}
				
			}else{
				layer.msg("请填写用户信息！");
				return;
			}
		})
	}
	function outStock(_obj,_ind){
		let data = _obj;
		let _opts = {
			url: "/out_bj",
			type:"POST"
		}
		dhAjax(_opts, data)
		.then(function(res) {
			if(res.result=="ok"){
				layer.msg("出库成功！");
				setHtml();
				layer.close(_ind);
			}else{
				layer.msg("出库失败！");
			}
		})
	}
	function AddList(data1, ind) {
		let data = {};
		let _opts = {
			url: "/add_bj?bj_info="+data1,
			type:"POST"
		}
		dhAjax(_opts, data)
		.then(function(res) {
			if(res>=1){
				layer.msg("入库成功！");
				setHtml();
				layer.close(ind);
			}else{
				layer.msg("入库失败！");
			}
		})
	}
	function UpdateList(data1, ind) {
		let data = data1;
		let _opts = {
			url: "/update_iboat_bj",
			type:"POST"
		}
		dhAjax(_opts, data)
		.then(function(res) {
			if(res == "1"){
				layer.msg("修改成功！");
				setHtml();
				layer.close(ind);
			}else{
				layer.msg("修改失败！");
			}
		})
	}
	function firstTable(obj) {
		personDataTable = table.render({
			elem: '#roTable',
			title: '角色列表',
			cols: [
				[{
					field: 'Number',
					align: 'center',
					title: '编号',
					width: 120
				}, {
					field: 'spareName',
					align: 'center',
					title: '名称'
				}, {
					field: 'Specification',
					align: 'center',
					title: '规格'
				}, {
					field: 'Brand',
					align: 'center',
					title: '品牌'
				}, {
					field: 'Classification',
					align: 'center',
					title: '分类'
				}, {
					field: 'Unit',
					align: 'center',
					title: '计量单位'
				}, {
					field: 'Total',
					align: 'center',
					title: '库存总量'
				}, {
					field: 'Price',
					align: 'center',
					title: '进货单价'
				}, {
					field: 'position',
					align: 'center',
					title: '存放位置'
				}, {
					field: 'Remark',
					align: 'center',
					title: '备注'
				}, {
					align: 'center',
					title: '操作',
					toolbar: '#barDemo',
					width: 200
				}]
			],
			data: obj,
			id: "testReload"
		});
		form.render();
	}
});