layui.use(['layer', 'table', 'element', 'form'], function() {
		var element = layui.element,
			form = layui.form,
			table = layui.table,
			$ = layui.$,
			User_ = null,
			nowSn = localStorage.getItem("Safer_m"),
			allList = [],
			tabTxt = ["库存总量","总量排名"];
		$("#search").on("input", "", function() {
			let _key = $(this).val(),
				newArr = [],
				_ovj = allList;
			if (_key == "") {
				newArr = allList;
			} else {
				for (var i = 0; i < _ovj.length; i++) {
					if (JSON.stringify(_ovj[i]).indexOf(_key) != -1) {
						newArr.push(_ovj[i])
					}
				}
			}
			firstTable(newArr);
		});
		$(document).ready(function() {
			User_ = JSON.parse(getCookie("_YZS_Yu"));
			nowSn = localStorage.getItem("Safer_m");
			setHtml(1);
		})

		function setHtml(_num) {
			let data = {
				"sn": nowSn
			};
			let _opts = {
				url: "/get_page_bj_list?page_num=1&token=bfbdfbd&usr=" + User_.userName
			}
			dhPAjax(_opts, data)
				.then(function(res) {
					if (res.length) {
						let _arr = [],_obj = res;
						for(let i=0;i<_obj.length;i++){
							if(_num == 2){
								_arr.push({
									"Number": _obj[i][5],
									"spareName": _obj[i][2],
									"Brand": _obj[i][4],
									"position": _obj[i][11],
									"Total": _obj[i][8]*_obj[i][9]
								})
							}else{
								_arr.push({
									"Number": _obj[i][5],
									"spareName": _obj[i][2],
									"Brand": _obj[i][4],
									"position": _obj[i][11],
									"Total": _obj[i][8]
								})
							}
						}
						allList = _arr;
					} else {
						allList = [];
					}
					firstTable(allList);
				})
		}

		function firstTable(obj) {
			personDataTable = table.render({
				elem: '#roTable',
				title: '角色列表',
				initSort: {
				    field: 'Total',
					type: 'desc'
				}, 
				cols: [
					[{
						field: 'Number',
						title:'编号',
						align: 'center',
						width: 160
					}, {
						field: 'spareName',
						title: '名称',
						align: 'center'
					}, {
						field: 'Brand',
						title: '品牌',
						align: 'center'
					}, {
						field: 'position',
						title: '存放位置',
						align: 'center'
					}, {
						field: 'Total',
						title: tabTxt[0],
						align: 'center',
						sort: true
					}, {
						type: 'numbers',
						title: tabTxt[1],
						width: 100
					}]
				],
				data: obj,
				id: "testReload"
			});
			form.render();
		}
		$(".layui-nav .layui-nav-item").on("click","",function(){
			let _id = $(this).data("id");
			if(_id == 1){
				tabTxt = ["库存总量","总量排名"];
			}else if(_id == 2){
				tabTxt = ["库存价值","价值排名"];
			}else if(_id == 3){
				tabTxt = ["库存紧张","紧张排名"];
			}else{
				tabTxt = ["消耗","消耗排名"];
			}
			$("#search").val("");
			setHtml(_id);
		})
	});
