	layui.use(['layer','table','element','form','laydate','upload'], function() {
	var element = layui.element,
		form = layui.form,
		table = layui.table,
		$ = layui.$,
		User_ = null,
		nowSn = localStorage.getItem("Safer_m"),
		allList = [];
	$("#search").on("input","",function(){
		let _key = $(this).val(),newArr = [],_ovj = allList;
		if(_key == ""){
			newArr = allList;
		}else{
			for(var i=0;i<_ovj.length;i++){
				if( JSON.stringify(_ovj[i]).indexOf(_key) != -1){
					newArr.push(_ovj[i])
				}
			}
		}
		firstTable(newArr);
	});
	$(document).ready(function(){
		User_=JSON.parse(getCookie("_YZS_Yu"));
		nowSn = localStorage.getItem("Safer_m");
		setHtml();
	})
	window.addEventListener('message',(data)=>{
		nowSn=localStorage.getItem("Safer_m");
		setHtml();
	})
	function setHtml() {
		let data = {
			// "usr": User_.userName,
			"usr": "dingheng",
			"state":"已完成"
		};
		let _opts= {
			url:"/get_iboatwx_list2",
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			if (res.length) {
				let _arr = [],_obj = res;
				for(let i=0;i<_obj.length;i++){
					_arr.push({
						Number: _obj[i][0],
						deviceId: _obj[i][2],
						deviceName: _obj[i][1],
						failureDate: _obj[i][3],
						failureCont: _obj[i][5],
						Priority: _obj[i][7],
						Repairer: _obj[i][11],
						Status: _obj[i][13],
						Position: _obj[i][4],
						RepairType: _obj[i][6],
						orderMaster: _obj[i][8],
						orderDate: _obj[i][9],
						finishTime: _obj[i][10],
						Phone:_obj[i][12]
					})
				}
				allList = _arr;
			} else {
				allList = [];
			}
			firstTable(allList);
		})
	}
	table.on('tool(roTable)', function(obj) {
		var _data = obj.data,
			layEvent = obj.event;
		if (layEvent === 'delete') {
			let index = layer.open({
				type: 1,
				title:'温馨提示',
				offset: 'auto',
				area: ["30%", "auto"],
				id: 'layerDemo2',
				content: '<div class="text-center padding text-black">请确认是否删除已选择的信息？</div>',
				btn: ['删除','取消'],
				yes: function() {
					let data = {
						id: _data.Number,
						tablename: "wait_start"
					};
					let _opts= {
						url: "/delete_wxiboat",
						type:"POST"
					}
					dhAjax(_opts,data)
					.then(function (res){
						setHtml();
						layer.msg(res.msg);
						layer.close(index);
					})
				}
			})
		}else if (layEvent === 'detail'){
			allEdit(_data,'detail');
		}
	})
	function allEdit(_data,_txt){
		let index = layer.open({
			type: 1,
			offset: 'auto',
			title:"工单信息",
			area: ["70%", "auto"],
			id: 'open1',
			content: `<div style="padding: 0 2%;width:100%;">
				<form class="layui-form">
					<table class="layui-table" border-color="#95b99e">
						<thead>
							<tr>
								<td align="center" class="text-bold">工单编号</td>
								<td><div>${_data.Number}</div></td>
								<td align="center" class="text-bold">故障日期</td>
								<td><div>${_data.failureDate}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">设备编号</td>
								<td><div>${_data.deviceId}</div></td>
								<td align="center" class="text-bold">故障描述</td>
								<td><div>${_data.failureCont}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">设备名称</td>
								<td><div>${_data.deviceName}</div></td>
								<td align="center" class="text-bold">所在位置</td>
								<td><div>${_data.Position}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">报修类型</td>
								<td><div>${_data.RepairType}</div></td>
								<td align="center" class="text-bold">优先级</td>
								<td><div>${_data.Priority}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">报修人</td>
								<td><div>${_data.Repairer}</div></td>
								<td align="center" class="text-bold">报修人号码</td>
								<td><div>${_data.Phone}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">接单师傅</td>
								<td><div>${_data.orderMaster}</div></td>
								<td align="center" class="text-bold">接单时间</td>
								<td><div>${_data.orderDate}</div></td>
							</tr>
							<tr>
								<td align="center" class="text-bold">修完时间</td>
								<td><div>${_data.finishTime}</div></td>
								<td align="center" class="text-bold">工单状态</td>
								<td><div>${_data.Status}</div></td>
							</tr>
						<thead>
					</table>
				</form>
				<div class="padding-tb-sm text-center">
					<button class="layui-btn" id="demo1">关闭</button>
				</div>
			</div>`,
			shade: 0.5,
		});
		form.render();
		$("#demo1").on("click", "", function() {
			layer.close(index);
		})
	}
	function firstTable(obj) {
		personDataTable = table.render({
			elem: '#roTable',
			title: '角色列表',
			cols: [
				[{
					field: 'Number',
					align: 'center',
					title: '工单编号'
				}, {
					field: 'deviceId',
					align: 'center',
					title: '设备编号'
				}, {
					field: 'deviceName',
					align: 'center',
					title: '设备名称'
				}, {
					field: 'failureDate',
					align: 'center',
					title: '故障日期'
				}, {
					field: 'failureCont',
					align: 'center',
					title: '故障描述'
				}, {
					field: 'Priority',
					align: 'center',
					title: '优先级'
				}, {
					field: 'Repairer',
					align: 'center',
					title: '报修人'
				}, {
					field: 'Status',
					align: 'center',
					title: '状态'
				}, {
					align: 'center',
					title: '操作',
					toolbar: '#barDemo',
					width: 150
				}]
			],
			data: obj,
			id: "testReload"
		});
		form.render();
	}
});