var User_={};
var xfList = [{"name":"1","year":1},
			  {"name":"2","year":2},
			  {"name":"3","year":3},
			  {"name":"4","year":4}];
var xfHisLi = [],newOrder = [];
var checkLi = [],xfIndex = 0;
layui.use(['layer','element','table','form'], function(){
	var layer = layui.layer,
		element = layui.element,
		table = layui.table,
		form = layui.form,
		$ = layui.jquery;
	form.on('checkbox(all)', function(data){
		if(data.elem.checked==true){
			$("#nowXF input").prop("checked",true);
			checkAll();
		}else{
			$("#nowXF input").prop("checked",false);
			checkLi = [];
		}
		checkMoney();
		form.render("checkbox");
	});
	form.on('checkbox(_sn)', function(data){
		let _ket = data.elem.name.split(",");
		let _ind = checkLi.findIndex((i,ind) => { return i.sn == _ket[0] });
		if(data.elem.checked==true){
			checkLi.push({
				sn: _ket[0],
				price: _ket[1]
			});
		}else{
			checkLi.splice(_ind,1);
		}
		if(checkLi.length != xfHisLi.length){
			$("#checkAll").prop("checked",false);
		}else{
			$("#checkAll").prop("checked",true);
		}
		form.render("checkbox");
		checkMoney();
	});
	
	$(document).ready(function(){
		init();
		
	});
	function init(){
		User_=JSON.parse(getCookie("_YZS_Yu"));
		$("#nickname").text(User_.nickName);
		$("#usrname").text(User_.userName);
		$("#sign").text(User_.remark);
		$("#sex").text(User_.sex==0?"男":(User_.sex==1?"女":"未知"));
		$("#phone").text(User_.phonenumber);
		$("#email").text(User_.email);
		$(".avtotar_img").css("background-image","url(https://www.enstation.com"+User_.avatar+")");
		getSnList();
	}
	function checkAll(){
		$.each($('#nowXF input'),function(){
			let _ket = $(this).attr("name").split(",");
			let _ind = checkLi.findIndex((item,ind)=>{return item.sn == _ket[0]});
			if(_ind == -1){
				checkLi.push({
					sn: _ket[0],
					price: _ket[1]
				});
			}
		})
	}
	function getPayDta(sn){
		let opts = {
			url: "/PaymentDetails/PaymentDetails/list",
			type: "GET"
		};
		let data = {
			pageNum: 1,
			pageSize: 9999,
			configId: sn
		};
		payAjax(opts, data) 
		.then((res)=>{
			let index = layer.open({
				type: 1,  
				offset: 'auto',
				area: ['70%','50%'], 
				id:"layerdemo",
				scrollbar: false,
				title: "缴费记录",
				content:`<div class="padding text-black text-sm">
							<table class="layui-hide" id="xfTable" lay-filter="xfTable"></table>
						</div>`
			});
			firstTable(res.rows);
		})
	}
	function getSnList(){
		let opts = {
			url: "/equipment/equipment/list",
			type: "GET"
		};
		let data = {
			customerAccountNumber: User_.userName,
			project: 1
		};
		payAjax(opts, data) 
		.then((res)=>{
			xfHisLi = [];
			newOrder = [];
			checkLi = [];
			xfIndex = 0;
			xfHisLi = res.rows;
			let _newStr = "";
			if(xfHisLi.length){
				for(var i=0;i<xfHisLi.length;i++){
					let _cnb = xfHisLi[i];
					let _dfh = _cnb.expirationTime != null?_cnb.expirationTime.split(" ")[0]:_cnb.expirationTime;
					let time =parseInt(_dfh.split("-")[0]) - parseInt(_cnb.registrationTime.split("-")[0]);
					_newStr += `<div class="flex text-gray align-center padding-tb-xs">
									<div style="width:5.5%"><input type="checkbox" lay-filter="_sn" name="${_cnb.sn+","+_cnb.annualFee}" checked lay-skin="primary"></div>
									<div>${_cnb.deviceName}</div>
									<div>${_cnb.sn}</div>
									<div><span class="text-bold text-yellow text-xl">${_cnb.annualFee}</span> 元</div>
									<div><span class="text-bold text-yellow text-xl">${time}</span> 年</div>
									<div>${_cnb.registrationTime}</div>
									<div>${_dfh}</div>
									<div><span class="yz_cursor seeDta" data-sn="${_cnb.sn}"><i class="layui-icon layui-icon-about"></i>查看</span></div>
								</div>`;
					checkLi.push({sn:_cnb.sn,price:_cnb.annualFee});
				}
			}else{
				_newStr = "";
			}
			$("#nowXF").html(_newStr);
			checkMoney();
			form.render("checkbox");
			
		})
	}
	$(document).on("click","#nowXF .seeDta",function(){
		let _sn = $(this).data("sn");
		getPayDta(_sn);
	})
	function checkMoney(){
		let total = 0,_val = xfList[xfIndex].name,_newOr = [];
		if(checkLi.length){
			for(let i=0;i<checkLi.length;i++){
				let _mon = parseFloat(checkLi[i].price)* parseInt(_val)
				total += _mon;
				_newOr.push({
					configid: checkLi[i].sn,
					money: _mon
				});
			}
		}
		$("#xfNum").text(checkLi.length);
		$("#xfMon").text(_val);
		$("#xfPrice").text(total);
		newOrder = _newOr;
	}
	function firstTable(obj) {
		table.render({
			elem: '#xfTable',
			title: '开通记录',
			cols: [
				[{
					field: 'orderNumer',
					title: '订单号',
					align: 'center'
				},{
					field: 'configId',
					align: 'center',
					title: '开通设备'
				}, {
					field: 'configMoney',
					align: 'center',
					templet: function(d){
						return '￥' + d.configMoney
					},
					width: 90,
					title: '支付金额'
				}, {
					field: 'paymentType',
					title: '支付方式',
					align: 'center',
					templet: function(d){
						return d.paymentType == 1?'微信':(d.paymentType == 3?'支付宝':'银联')
					},
					width: 90
				}, {
					field: 'paymentState',
					title: '支付状态',
					align: 'center',
					width: 90,
					templet: function(d){
						return '<div class="paybtn '+(d.paymentState == 0?'nopay':'')+'">'+( d.paymentState == 0?'未支付':'已支付')+'</div>'
					}
				}, {
					field: 'parmentTime',
					title: '支付时间',
					align: 'center'
				}, {
					field: 'year',
					title: '开通期限',
					align: 'center',
					width: 90,
					templet: function(d){
						return parseInt(d.year)/12 +"年"
					}
				}]
			],
			data: obj,
			id: "testReload"
		});
	}
	$('.site-demo-active').on('click', function(){
		var othis = $(this), type = othis.data('type');
		active[type] ? active[type].call(this, othis) : '';
	});
	$(".info_li button").on("click","",function(){
		let index = layer.open({
			type: 1,  
			offset: 'auto',
			area: ['auto','340px'], 
			id:"layerdemo",
			scrollbar: false,
			title: "修改用户信息",
			content:`<div class="padding text-black text-sm">
						<form class="layui-form">
							<div class="flex align-center">
								<span style="width:76px;">用户昵称：</span>
								<input class="layui-input" name="nickName" value="${User_.nickName}" autocomplete="off" placeholder="输入昵称">
							</div>
							<div class="flex align-center margin-tb-sm">
								<span style="width:76px;">手机号码：</span>
								<input class="layui-input" name="phone" value="${User_.phonenumber}" autocomplete="off" placeholder="输入手机号码">
							</div>
							<div class="flex align-center">
								<span style="width:76px;">用户邮箱：</span>
								<input class="layui-input" name="email" value="${User_.email}" autocomplete="off" placeholder="输入邮箱">
							</div>
							<div class="flex align-center">
								<span style="width:76px;">用户性别：</span>
								<div class="_sex margin-tb-sm">
									<input type="radio" lay-filter="_sex" name="_sex" value="0" title="男">
									<input type="radio" lay-filter="_sex" name="_sex" value="1" title="女">
									<input type="radio" lay-filter="_sex" name="_sex" value="2" title="未知">
								</div>
							</div>
							<div class="flex align-center">
								<span style="width:76px;">备注：</span>
								<input class="layui-input" name="remark" value="${User_.remark}" autocomplete="off" placeholder="输入备注">
							</div>
						</form>
					 </div>`, 
			btn:["确定","取消"],
			yes:function(){
				User_.nickName = $("input[name='nickName']").val();
				User_.phonenumber = $("input[name='phone']").val();
				User_.email = $("input[name='email']").val();
				User_.remark = $("input[name='remark']").val();
				User_.postIds = [4];
				User_.roleIds = [User_.roles[0].roleId];
				if (User_.nickName == "") {
					layer.msg('请输入用户昵称',{icon: 2})
					return;
				}
				if (User_.phonenumber != ""&&User_.phonenumber != null&&(!(/^1[3456789]\d{9}$/.test(User_.phonenumber)))) {
					layer.msg('请输入正确的手机号码',{icon: 2})
					return;
				}
				let data1 = User_;
				let _opts = {
					url:"/system/user",
					type: "PUT"
				};
				tokenPostAjax(_opts,data1)
				.then(function(res){
					if(res.code == 200){
						setCookie("_YZS_Yu",JSON.stringify(User_));
						layer.msg('修改成功',{icon: 1});
						init();
					}else{
						layer.msg('修改失败',{icon: 2});
					}
					layer.close(index);
				})
			}
		});
		$("._sex input[value='" + User_.sex + "']").attr("checked", "true");
		form.render();
		form.on("radio(_sex)", function(data){
			User_.sex = parseInt(data.value);
		});
	})
	$(".xfLi").on("click","",function(){
		let _id = $(this).data("ind");
		xfIndex = _id;
		checkMoney();
		$(this).addClass("act").siblings().removeClass("act");
	})
	var payTime = null;
	$(".xfTotal button").on("click","",function(){
		if(checkLi.length){
			let _arr = {
				orderNum: null,
				money: parseFloat($("#xfPrice").text())*100,
				// money: 1,
				year: parseFloat($("#xfMon").text())*12,
				orderDetails: newOrder 
			};
			console.log(_arr)
			getUUid(_arr,function acb(_ocb){
				let index = layer.open({
					type: 1,  
					offset: 'auto',
					area: ['520px','320px'], 
					id:"xfOpen",
					scrollbar: false,
					title: "开通支付",
					content:`<div class="padding text-black flex justify-around">
								<div>
									<div class="text-center"><i class="iconfont icon-weixinzhifu" style="color: #00C800;"></i> 微信扫码支付</div>
									<div class="xfCode">
										<div id="qrCode" style="width: 136px;height: 136px;"> </div>
									</div>
									<div>
										<div class="iconfont icon-saoyisao"></div>
										<div>请使用<span>微信</span>扫一扫<br>扫描二维码支付</div>
									</div>
								</div>
								<div>
									<img src="../imgs/Mobile.png" style="width:200px">
								</div>
							</div>`,
					end : function() {
						clearInterval(payTime);
					}
				})
				createQRCode("qrCode", _ocb.code_url);
				getPaySta(_ocb.uuid,index);
			});
		}else{
			layer.msg("请选择需要开通的设备",{icon: 2})
		}
	})
	// 生成二维码
	function createQRCode(id, text) {
		var qrcode = new QRCode(document.getElementById(id), {
			text: text,
			width: 300,
			height: 300,
			colorDark: "#000000",
			colorLight: "#ffffff",
			correctLevel: QRCode.CorrectLevel.H    
		});
	}
	
	function getPaySta(_code,_ind){
		clearInterval(payTime);
		payTime = setInterval(()=>{
			let opts = {
				url: "/wxpay/query",
				type: "GET"
			};
			let data = {
				orderid: _code
			};
			payAjax(opts, data) 
			.then((res)=>{
				if(res.err_code != undefined){
					layer.msg(res.err_code_des,{icon: 2});
					layer.close(_ind);
					clearInterval(payTime);
				}
				if(res.trade_state != undefined){
					if(res.trade_state == "SUCCESS"){
						layer.msg("支付成功！",{icon: 1});
						layer.close(_ind);
						clearInterval(payTime);
						getSnList();
					}else if(res.trade_state == "ERROR"){
						layer.msg("支付失败！",{icon: 2});
					}
				}
			})
		},5*1000)
	}
})