var payUrl = "http://121.37.6.200:8888";
// var payUrl = "http://192.168.4.134:8888"
var payTok = getCookie("AjaxPay");
// GET请求
function payAjax(opts, data) {
	$.Deferred(function(){});
	return new Promise(function(resolve, reject) {
		$.ajax({
			url: payUrl + opts.url,
			type: opts.type,
			dataType: "json",
			data: data,
			headers:{
				"Authorization": "Bearer " + payTok
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				ajaxErr();
				if(layer != undefined) layer.closeAll();
			},
			//更新日志列表
			success: function(dart) {
				if(dart.code == 401){
					ajaxErr();
				}else if(dart.status == 403){
					ShowLoading("当前用户没有该操作权限，请联系管理员！",1);
				}else{
					resolve(dart);
				}
			}
		});
	})
}
// POST请求
function payPostAjax(opts, data, _yb) {
	$.Deferred(function(){});
	return new Promise(function(resolve, reject) {
		$.ajax({
			url: payUrl + opts.url,
			type: opts.type,
			dataType: "JSON",
			contentType: 'application/json; charset=UTF-8',
			data: JSON.stringify(data),
			headers:{
				"Authorization": "Bearer " + payTok
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
				ajaxErr();
				if(layer != undefined) layer.closeAll();
			},
			success: function(dart) {
				if(dart.code == 401){
					ajaxErr();
				}else if(dart.code == 200 || dart.result == "ok"){
					resolve(dart);
				}else if(dart.status == 403){
					ShowLoading("当前用户没有该操作权限，请联系管理员！",1);
				}else{
					resolve(dart);
					if(dart.msg != undefined){
						ShowLoading(dart.msg,1);
					}
				}
			}
		});
	})
}

function getUUid(_obj,_cb){
	let opts = {
		url: "/yinlian/uuid",
		type: "GET"
	};
	let data = {};
	payAjax(opts, data) 
	.then((res)=>{
		_obj.orderNum = res;
		getPayCode(_obj,_cb);
	})
}
function getPayCode(_code,_cb){
	let opts = {
		url: "/wxpay/index",
		type: "POST"
	};
	let data = _code;
	payPostAjax(opts, data) 
	.then((res)=>{
		if(res.code_url != undefined){
			res.uuid = _code.orderNum;
			_cb(res);
		}else{
			layer.msg("获取二维码失败！",{icon: 2})
		}
	})
}

function parseTime(time, pattern) {
	if (arguments.length === 0 || !time) {
		return null
	}
	const format = pattern || '{y}-{m}-{d} {h}:{i}:{s}'
	let date
	if (typeof time === 'object') {
		date = time
	} else {
		if ((typeof time === 'string') && (/^[0-9]+$/.test(time))) {
			time = parseInt(time)
		} else if (typeof time === 'string') {
			time = time.replace(new RegExp(/-/gm), '/').replace('T', ' ').replace(new RegExp(/\.[\d]{3}/gm), '');
		}
		if ((typeof time === 'number') && (time.toString().length === 10)) {
			time = time * 1000
		}
		date = new Date(time)
	}
	const formatObj = {
		y: date.getFullYear(),
		m: date.getMonth() + 1,
		d: date.getDate(),
		h: date.getHours(),
		i: date.getMinutes(),
		s: date.getSeconds(),
		a: date.getDay()
	}
	const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
		let value = formatObj[key]
		// Note: getDay() returns 0 on Sunday
		if (key === 'a') { return ['日', '一', '二', '三', '四', '五', '六'][value] }
		if (result.length > 0 && value < 10) {
			value = '0' + value
		}
		return value || 0
	})
	return time_str
}
//加密
function encrypt(word, keyStr) {
    keyStr = keyStr ? keyStr : 'XXXXXXXXXXXXX'; //判断是否存在ksy，不存在就用定义好的key
    var key = CryptoJS.enc.Utf8.parse(keyStr);
    var srcs = CryptoJS.enc.Utf8.parse(word);
    var encrypted = CryptoJS.AES.encrypt(srcs, key, { mode: CryptoJS.mode.ECB, padding: CryptoJS.pad.Pkcs7 });
    return encrypted.toString();
}
//解密
function decrypt(word, keyStr) {
    keyStr = keyStr ? keyStr : 'XXXXXXXXXXXXX';
    var key = CryptoJS.enc.Utf8.parse(keyStr);
    var decrypt = CryptoJS.AES.decrypt(word, key, { mode: CryptoJS.mode.ECB, padding: CryptoJS.pad.Pkcs7 });
    return CryptoJS.enc.Utf8.stringify(decrypt).toString();
}
