var nowSn = null,nowDev = null;
layui.use(['element', 'layer', 'laydate','table'], function() {
	var element = layui.element,
		layer = layui.layer,
		table = layui.table,
		laydate = layui.laydate;
	window.addEventListener('message',(data)=>{
		nowSn = localStorage.getItem("Safer_m");
		nowDev = localStorage.getItem("Safer_d");
		getFirst(new Date());
	})
	laydate.render({
		elem: '#nowDate',
		trigger: 'click',
		done: function(value, date, endDate) {
			firstData(value);
		}
	});
	function getFirst(time) {
		var yy = time.getYear();
		if (yy < 1900) yy = yy + 1900;
		var MM = time.getMonth() + 1;
		if (MM < 10) MM = '0' + MM;
		var DD = time.getDate();
		if (DD < 10) DD = '0' + DD;
		$("#nowDate").text(yy + '-' + MM + '-' + DD);
		firstData(yy + '-' + MM + '-' + DD);
		if(IsPC()){
			getDeatil(yy + '-' + MM + '-' + DD)
		}
	}
	$(document).ready(function() {
		nowSn = localStorage.getItem("Safer_m");
		nowDev = localStorage.getItem("Safer_d");
		getFirst(new Date());
	})
	var map = new AMap.Map('pie_echarts', {
		center: [118.616808,31.942308],
		mapStyle: "amap://styles/light",
		zoom:15,
	});
	function init_map(_obj) {
		map.clearMap(); 
		var marker=new AMap.Marker({
			map: map,
			icon: new AMap.Icon({
				size:new AMap.Size(60,60),
				image:"../imgs/ship.png",
				imageSize:new AMap.Size(60,60) 
			}),
			position:[_obj["lng"],_obj["lat"]],
			offset: new AMap.Pixel(-13, -30)
		});
		map.add([marker]);
		openInfo(_obj);
		map.setCenter([_obj["lng"],_obj["lat"]]);
		function openInfo(key) {
			var info = [];
			info.push(`<div class="text-black" style="padding:5px;width:220px">
							<div class="text-bold" style="color:#0068ff;">报警位置</div>
							<div class="text-sm">
								<div>位置：${key["lng"]},${key["lat"]}</div>
								<div>地址：${key["addr"]==null?"获取地址失败":key["addr"]}</div>
							</div>
					</div>`);
			infoWindow = new AMap.InfoWindow({
				offset: new AMap.Pixel(6, -30),
				content: info.join("") 
			});
			infoWindow.open(map,[key["lng"],key["lat"]]);
			return;
		}
	}
	$(".dayChange").on("click","",function(){
		var _a = dayChange($("#nowDate").text(),parseInt($(this).data("n")));
		if(_a != undefined){
			$("#nowDate").text(getTime(_a)[0]);
			getFirst(_a);
		}
	});
	function getDeatil(_time){
		let obj = {
			http:nGenUrl,
			tok: getCookie("AjaxNGen"),
			url:"/gps-web/h5/query/media?queryMedia&"+new Date().getTime(),
			type:"POST"
		};
		let data1 = {
			carId: nowSn.split(",")[1],
			endTime: _time+" 23:59:59",
			seq: "",
			startTime:  _time+" 00:00:00",
			types: ["fd", "de", "ya", "cey", "pp", "am", "sm"]
		};
		genPostAjax(obj,data1)
		.then(function(_res){
			if(_res.status==1&&_res.result.length){
				let _ovh = _res.result;
				const arr = new Map()
				let sdf = _ovh.filter((item) => !arr.has(item['time']) && arr.set(item['time'], 1))
				setTable(sdf);
			}else{
				setTable([]);
			}
		})
	}
	let list = [];
	function firstData(time) {
		var index = layer.load();
		setTimeout(() => {
			getDatail(nowSn.split(",")[1],time,function dfds(res){
				if(res.status==1&&res.result.length){
					// let obj1 = res.result.slice(1);
					let obj1 = res.result;
					if(obj1.length){
						forFn(obj1);
						$("#allWarn").text(obj1.length);
					}else{
						notArr();
					}
				} else {
					notArr();
				}
				layer.close(index);
			})
		}, 100)
	}
	function setTable(obj){
		personDataTable = table.render({
		    elem: '#test',
		    limit: Number.MAX_VALUE,
		    cols: [[{
				type:'numbers', 
				title: '序号'
			},{
				field:'time', 
				title: '抓拍时间'
			},{
				field:'type',
				title: '报警类型',
				templet:function(d){
					let _ady = JSON.parse(d.exts);
					return checkType(_ady.alarmType);
				},
			},{
				field:'speed',
				title: '航行速度',
				templet:function(d){
					let _ady = JSON.parse(d.exts);
					return _ady.speed +" km/h";
				}
			},{
				field:'gps',  
				title: '报警经纬度',
				templet:function(d){
					return d.lng+","+d.lat;
				}
			},{
				field:'addr',  
				title: '报警位置'
			}]],
			data:obj
		});
	}
	$(".downExlx").on("click","",function(){
		table.exportFile(personDataTable.config.id);
		return false;  
	})
	function forFn(obj) {
		let str = "";
		for (var i = 0; i < obj.length; i++) {
			obj[i]._type = checkType(obj[i].typeId);
			if (i == 0) {
				str += `<tr data-ind="${i}" class="hist_act">
							<td>${i+1}</td>
							<td>${obj[i]["startTime"]}</td>
							<td>${obj[i]._type}</td>
							<td>${obj[i]["level"]}级</td>
							<td><i class="layui-icon">&#xe652;</i></td>
						</tr>`
			} else {
				str += `<tr data-ind="${i}">
							<td>${i+1}</td>
							<td>${obj[i]["startTime"]}</td>
							<td>${obj[i]._type}</td>
							<td>${obj[i]["level"]}级</td>
							<td><i class="layui-icon">&#xe652;</i></td>
						</tr>`
			}
		}
		$('#tableBox').html(str);
		checkInfo(obj[0],function(){});
		list = obj;
	}
	var videoUrl="";
	$("#tableBox").on('click', 'tr', function() {
		let num = $(this).data("ind");
		if(num!=undefined){
			checkInfo(list[num],function(){});
			$(this).addClass("hist_act");
			$(this).siblings().removeClass("hist_act");
		}
	});
	$("#tableBox").on('click', 'tr .layui-icon', function() {
		let num = $(this).parent().parent().data("ind");
		if(num!=undefined){
			checkInfo(list[num],function(_videosrc){
				var loadVideo = '<video width="100%" height="100%"  controls="controls" autobuffer="autobuffer"  autoplay="autoplay" loop="loop">' +
								'<source src='+_videosrc+' type="video/mp4"></source></video>';
				layer.open({
					type:1,
					title:"视频回放",
					content:loadVideo,
					area:["90%","90%"]
				})
			});
		}
	})
	// PC端获取报警详情图片视频
	function checkInfo(obj,cb) {
		if(obj["carId"]!=undefined){
			let _sdf = getMile(obj["speed"]);
			$("#Speed").text(_sdf[0]);
			$("#speedUnit").text(_sdf[1]);
			$("#Grade").text(obj.level);
			let _obj={
				http: nGenUrl,
				tok: getCookie("AjaxNGen"),
				url:"/gps-web/h5/query/media?queryMedia&"+new Date().getTime(),
				type:"POST"
			};
			let data1={
				"carId":obj.carId,
				"endTime":obj.endTime,
				"seq":"",
				"startTime":obj.startTime,
				"types":"['"+obj.typeId+"']"
			};
			genPostAjax(_obj,data1)
			.then(function(res){
				let _data={
					"SerialNum":"驾驶室",
					"lng":0,
					"lat":0,
					"addr":"获取地址失败"
				};
				let time = ["", "", ""];
				let timenum=[];
				let _src;
				videoUrl="";
				if(res.status==1&&res.result.length){
					let ind=res.result.findIndex((i,ind)=>{return i.type=="2"});
					_data = res.result[0];
					timenum = _data["time"].split(' ');
					let year = timenum[0].split('-');
					time = [year[0] + '/' + year[1] + '/' + year[2], timenum[1], getWeek(timenum[0])];
					_src=nGenUrl+"/gps-web/photos?refPath="+timenum[0]+"/"+_data.carId+"/"+timenum[1].replace(/:/g,"")+"_"+_data.mediaId+".jpg"
					if(ind!=-1){
						videoUrl=nGenUrl+"/gps-web/photos?refPath="+timenum[0]+"/"+_data.carId+"/"+timenum[1].replace(/:/g,"")+"_"+res.result[ind].mediaId+".mp4"
					}
				}else{
					time = ['2020/00/00', '00:00:00', '星期一'];
					_src="../images/not_img.jpg";
				}
				$("#dateTime1").text(time[1]);
				$("#dateTime2").text(time[0]);
				$("#dateTime3").text(time[2]);
				$("#info1").text(_data.SerialNum);
				$("#warnType").text("驾驶室");
				$('#yuanImg').html(`<img src="${_src}" style="width:80%;">`);
				cb(videoUrl);
				init_map(_data);
			})
		}
	}
	function notArr(){
		$("#allWarn").text(0);
		$("#dateTime1").text("00:00:00");
		$("#dateTime2").text('2021/01/01');
		$("#dateTime3").text("星期一");
		let _sdf = getMile(0);
		$("#Speed").text(_sdf[0]);
		$("#speedUnit").text(_sdf[1]);
		
		$("#warnType").text("无");
		$("#Grade").text(1);
		$("#yuanImg img").attr("src","../imgs/imgnot.png");
		$('#tableBox').html(`<tr><td colspan="5" style="padding:14px">暂无列表数据</td></tr>`);
		map.clearMap();
		list = [];
	}
	$("#yuanImg").on("click","img",function(){
		let num = $(this).attr("src");
		layer.open({
			type:1,
			title:"图片",
			content:`<div class="padding-sm text-center" style="position: relative;">
						<img src="${num}" id="openImg" style="width:100%;">
					</div>`,
			area:["90%","90%"]
		})
	});
})