var nGenUrl = "http://121.201.66.101:9999";
// GET请求
function genAjax(opts, data) {
	$.Deferred(function(){});
	return new Promise(function(resolve, reject) {
		$.ajax({
			url: opts.http + opts.url,
			type: opts.type,
			dataType: "json",
			data: data,
			headers: {
				"Authorization": opts.tok
			},
			error: function() {
				ajaxErr();
				layer.closeAll();
			},
			success: function(dart) {
				resolve(dart);
			}
		});
	})
}
// POST请求
function genPostAjax(opts,data, _yb) {
	$.Deferred(function(){});
	return new Promise(function(resolve, reject) {
		$.ajax({
			url: opts.http + opts.url,
			type: opts.type,
			dataType: "JSON",
			contentType: 'application/json; charset=UTF-8',
			data: JSON.stringify(data),
			headers: {
				"Authorization": opts.tok
			},
			error: function() {
				ajaxErr();
				layer.closeAll();
			},
			success: function(dart) {
				resolve(dart);
			}
		});
	})
}
function getDatail(_sn,_time,_cb){
	let obj = {
		http:nGenUrl,
		tok: getCookie("AjaxNGen"),
		url:"/gps-web/h5/query/rptalarm?detailsByCarId&"+new Date().getTime(),
		type:"POST"
	};
	let data1 = {
		alarmLevels: [],
		carId:  _sn,
		duration:  "00:00:00",
		endTime: _time+" 23:59:59",
		speedMin: "0",
		startTime: _time+" 00:00:00",
		// states: null,
		states: "[\"1\"]",
		types: ["fd", "de", "ya", "cey", "pp", "am", "sm"]
	};
	genPostAjax(obj,data1)
	.then(function(_res){
		_cb(_res);
	})
}
function openDev(){
	let index2 = layer.open({
		type: 1,
		title:'提示',
		offset: 'auto',
		area: ["80%", "auto"],
		id: 'layer2',
		content: `<div class="padding bg-theme text-grey text-sm text-center">当前设备不是海狮卫士二代，没有该功能的操作权限！</div>`,
		btn: ['知道了'],
		yes:function(){
			layer.close(index2);
		}
	})
}
function checkType(_key){
	switch(_key){
		case "fd":
			return "疲劳驾驶";
		case "de":
			return "驾驶员异常";
		case "ya":
			return "疲劳驾驶";
		case "cey":
			return "疲劳驾驶";
		case "pp":
			return "打电话";
		case "am":
			return "分神驾驶报警";
		case "sm":
			return "抽烟报警";
	}
}
