var nowSn = localStorage.getItem("Safer_m");
var nowNa = localStorage.getItem("Safer_n");
var nowLine = localStorage.getItem("Safer_ol");
var whoSn = null,twSn = undefined;

var Info = {
	"type":"jsylg",
	"sensitivity":0,
	"interval":0,
	"cycle":0,
	"remoteAlarm":0,
	"state":1,
	"speed":0
}
layui.use(['layer', 'form','table'], function(){
	var layer = layui.layer,
		table = layui.table,
		form = layui.form,
		$ = layui.jquery;
	form.on('switch(switchTest)', function(data){
		Info.state = this.checked?1:0;
	});
	form.on('radio(sens)', function(data) {
		Info.sensitivity = parseInt(data.value);
	}); 
	form.on("select", function(data){
		whoSn = data.value;
		if(twSn == undefined || data.value != twSn[0]){
			nowLine = localStorage.getItem("Safer_ol");
			if(nowLine == 1){
				getConfig();
			}else{
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
			}
		}else{
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn[2] == 1){
				getConfig();
			}else{
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
			}
		}
	});
	window.addEventListener('message',(data)=>{
		getInit();
	})
	$(document).ready(function(){
		setAralm();
		getInit();
	})
	function setAralm(){
		let _string = `<li data-type="jsylg" class="act">${getLang("DriverW")}</li>
						<li data-type="plxzy">${getLang("Fatigue")}</li>
						<li data-type="dhq">${getLang("Yawn")}</li>
						<li data-type="byjc">${getLang("closeEyes")}</li>
						<li data-type="csjddh">${getLang("LongCall")}</li>
						<li data-type="jsyfs">${getLang("lookAhead")}</li>
						<li data-type="zdsxt">${getLang("OccCamera")}</li>
						<li data-type="csjjs">${getLang("DrivLong")}</li>
						<li data-type="jsysfyc">${getLang("DriverIW")}</li>
						<li data-type="cyjc">${getLang("Smoking")}</li>
						<li data-type="jclg">${getLang("EngineRoom")}</li>`;
		$("#arlmHtml").html(_string);
		$(".warnTy").text(getLang("DriverW"));
	}
	function getInit(){
		if(localStorage.getItem("Safer_d") != 4){
			nowSn = localStorage.getItem("Safer_m");
			nowNa = localStorage.getItem("Safer_n");
			nowLine = localStorage.getItem("Safer_ol");
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn != undefined){
				$("#selectBox").css("display","block");
				$("#nowNa").css("display","none");
				let _str = `<option value="${nowSn}">${nowNa}${twSn[1] == 1?'驾驶':'集控'}台</option>
							<option value="${twSn[0]}">${nowNa}${twSn[1] == 0?'驾驶':'集控'}台</option>`;
				$("#selectBox select").html(_str);
				$("#selectBox option[value='"+nowSn+"']").attr("selected",'selected');
				form.render();
			}else{
				$("#selectBox").css("display","none");
				$("#nowNa").css("display","block");
				$("#nowNa").text(nowNa);
			}
			if(nowLine == 1){
				whoSn = nowSn;
				getConfig();
			}else{
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
			}
			$("#speedUnit").val(getLang("Nmile"));
		}
	}
	function getConfig(){
		var index = layer.load();
		setTimeout(() => {
			let data1 = {
				"msgid":new Date().getTime() + "",
				"sn":whoSn,
				"event":"AiConfigInfo",
				"info":{
					"type":Info.type,
				}
			};
			let _opts= {
				url:"/request",
				type:"POST"
			};
			tokenPostAjax(_opts,data1)
			.then(function(res){
				if(res.result == "ok"){
					setInit(res.data.info);
				}else{
					setInit(Info);
				}
				layer.close(index);
			})  
		},100);
	}
	function setInit(_obj){
		$("input[value='" + _obj.sensitivity + "']").prop("checked", true);
		$("input[name='open']").prop("checked",_obj.state == 1?true:false);
		$("input[name='interval']").val(_obj.interval);
		$("input[name='cycle']").val(_obj.cycle);
		$("input[name='remoteAlarm']").val(_obj.remoteAlarm);
		$("input[name='speedInp']").val(_obj.speed);
		form.render();
	}
	$(".warmli>div").on("click","",function(){
		let _dom = $(this).next();
		if(_dom.is(":hidden")){
			_dom.show();
			$(this).find(".layui-icon").removeClass("layui-icon-addition").addClass("layui-icon-subtraction");
		}else{
			_dom.hide();
			$(this).find(".layui-icon").removeClass("layui-icon-subtraction").addClass("layui-icon-addition");
		}
	})
	$("#arlmHtml").on("click","li",function(){
		let _key = $(this).data("type");
		$(".warmli li").removeClass("act");
		$(this).addClass("act");
		Info.type = $(this).data("type");
		$(".warnTy").text($(this)[0].innerText);
		if(twSn == undefined || whoSn != twSn[0]){
			nowLine = localStorage.getItem("Safer_ol");
			if(nowLine == 0){
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
				return;
			}
		}else{
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn[2] == 0){
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
				return;
			}
		}
		getConfig();
	})
	$("#INFO_view button").on("click","",function(){
		if(twSn == undefined || whoSn != twSn[0]){
			nowLine = localStorage.getItem("Safer_ol");
			if(nowLine == 0){
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
				return;
			}
		}else{
			let _twSn = localStorage.getItem("Safer_tS");
			twSn = ((_twSn != undefined&&_twSn != "undefined")&&(_twSn.indexOf("_") != -1))?_twSn.split("_"):undefined;
			if(twSn[2] == 0){
				setInit(Info);
				layer.msg(getLang("DeviceOff"));
				return;
			}
		}
		Info.interval = parseInt($("input[name='interval']").val());
		Info.cycle = parseInt($("input[name='cycle']").val());
		Info.remoteAlarm = parseInt($("input[name='remoteAlarm']").val());
		Info.speed = parseInt($("input[name='speedInp']").val());
		let _carme = "";
		$.each($("input[name='carme']"),function(index,e){
			if($(e).is(":checked")){
				_carme += $(e).data("val") +";";
			}
		})
		Info.cameraid = _carme;
		let _obj = {
			"msgid":new Date().getTime() + "",
			"sn":whoSn,
			"event":"AiConfig",
			"info":Info
		}
		setConfig(_obj);
	})
	function setConfig(_arr){
		let index = layer.load();
		setTimeout(()=>{
			let data1 = _arr;
			let _opts= {
				url:"/request",
				type:"POST"
			};
			tokenPostAjax(_opts,data1)
			.then(function(res){
				layer.close(index);
				if(res.result == "ok"){
					reBoot();
				}else{
					layer.msg(getLang("EditErr"));
				}
			})
		},100)
	}
	function reBoot(){
		let openind = layer.open({
						type:1,
						title: getLang("Tips"),
						id:"Open1",
						area:["400px","auto"],
						content:`<div class="padding-sm text-sm text-center text-black">${getLang("FishStar")}?</div>`,
						btn:[getLang("Reboot"), getLang("Cancel")],
						yes:function(){
							let index = layer.load();
							setTimeout(()=>{
								let _obj = {
									"msgid":new Date().getTime() + "",
									"sn":whoSn,
									"event":"deviceControl",
									"info":{
										"param": "reboot"
									}
								};
								let _opts= {
									url:"/request",
									type:"POST"
								};
								tokenPostAjax(_opts,_obj)
								.then(function(res){
									if(res.result == "ok"){
										layer.msg(getLang("startSucc"));
									}else{
										layer.msg(getLang("startErr"));
									}
									layer.close(openind);
									layer.close(index);
								})
							},100)
						}
					});
		
	}
})