	layui.use(['layer','table','element','form','laydate','upload'], function() {
	var element = layui.element,
		form = layui.form,
		table = layui.table,
		upload = layui.upload,
		laydate = layui.laydate,
		$ = layui.$,
		User_ = null,
		reqestNum=1,
		allList = [];
	$("#search").on("input","",function(){
		let _key = $(this).val(),newArr = [],_ovj = allList;
		if(_key == ""){
			newArr = allList;
		}else{
			for(var i=0;i<_ovj.length;i++){
				if( JSON.stringify(_ovj[i]).indexOf(_key) != -1){
					newArr.push(_ovj[i])
				}
			}
		}
		firstTable(newArr);
	});
	$(document).ready(function(){
		User_=JSON.parse(getCookie("_YZS_Yu"));
		setHtml();
	})
	window.addEventListener('message',(data)=>{
		setHtml();
	})
	function setHtml() {
		let data = {
			"user": User_.userName,
			// "iboat_name": nowProd
		};
		let _opts= {
			url:"/iBoat_hjy/certificate_select2",
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			if (res.result == "ok"){
			let obj = res.data;
				allList = [];
				for (var i = 0; i < obj.length; i++) {
					if(obj[i].Validity_of_certificate=="长期"){
						obj[i].status ="未过期";
						obj[i].Validity_of_certificate="— —";
						obj[i].next_time="— —";
						obj[i].all_time="长期";
					}else{
						obj[i].next_time=getDaysBetween(new Date().toLocaleDateString(),obj[i].Validity_of_certificate);
						obj[i].all_time=getTimeBetween(obj[i].certification_time,obj[i].Validity_of_certificate);
						obj[i].status = obj[i].next_time > 31 ? "未过期" : (obj[i].next_time < 0 ? "已过期" : "将过期");
					}
					obj[i].certificate_cover=obj[i].certificate_cover.indexOf("enstation.com")!=-1?obj[i].certificate_cover:"https://www.enstation.com/certificate/dingheng/dingheng160757897553524374352.png";
					obj[i].certificate_content=obj[i].certificate_content.indexOf("enstation.com")!=-1?obj[i].certificate_content:"https://www.enstation.com/certificate/dingheng/dingheng160757897553524374352.png";
					obj[i].Certificate_classification=obj[i].Certificate_classification!=""?obj[i].Certificate_classification:"无";
					obj[i].equipment_name=obj[i].equipment_name!=""?obj[i].equipment_name:"无";
					if(reqestNum==1||reqestNum==undefined){
						allList.push(obj[i]);	
					}else if(reqestNum==2&&(obj[i].next_time > 31||obj[i].next_time=="— —")){
						allList.push(obj[i]);
					}else if(reqestNum==4&&obj[i].next_time<0){
						allList.push(obj[i]);
					}else if(reqestNum==3&&obj[i].next_time>-1&&obj[i].next_time<32){
						allList.push(obj[i]);
					}
				}
			} else {
				allList = [];
			}
			firstTable(allList);
		})
	}
	table.on('tool(roTable)', function(obj) {
		var _data = obj.data,
			layEvent = obj.event;
		if (layEvent === 'delete') {
			let index = layer.open({
				type: 1,
				title:'温馨提示',
				offset: 'auto',
				area: ["30%", "auto"],
				id: 'layerDemo2',
				content: '<div class="text-center padding text-black">请确认是否删除已选择的信息？</div>',
				btn: ['删除','取消'],
				yes: function() {
					let data = {
						rest: _data.id
					};
					let _opts= {
						url: "/iBoat_hjy/certificate_delete",
						type:"GET"
					}
					dhAjax(_opts,data)
					.then(function (res){
						setHtml();
						layer.msg(res.msg);
						layer.close(index);
					})
				}
			})
		}else if (layEvent === 'seeimg'){
			seeImg("证书正面图片",_data.certificate_cover);
		}else if (layEvent === 'seeimg1'){
			seeImg("证书内容图片",_data.certificate_content);
		}else if (layEvent === 'edit'){
			allEdit(_data);
		}
	})
	$("#newAdd").on("click","",function(){
		allEdit({
			Certificate_classification: "无",
			Validity_of_certificate: "短期",
			certificate_content: "http://121.37.6.200/imgs/imgnot.png",
			certificate_cover: "http://121.37.6.200/imgs/imgnot.png",
			certificate_name: "",
			certification_time: "",
			equipment_name: "",
			iboat_name: nowProd,
			id: undefined,
			user: User_.userName
		});
	})
	function allEdit(_data){
		let index = layer.open({
			type: 1,
			offset: 'auto',
			title:"证书信息",
			area: ["70%", "auto"],
			id: 'open1',
			content: `<div style="padding: 0 2%;width:100%;">
				<form class="layui-form">
					<table class="layui-table" border-color="#95b99e">
						<thead>
							<tr>
								<td align="center"><span class="text-red">*</span>船舶名称</td>
								<td align="center">
									<div>
										<input id="shipNa" disabled value="${_data.iboat_name}" class="layui-input" placeholder="船舶名称"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>证书名称</td>
								<td align="center">
									<div>
										<input id="zsName" autocomplete="off" value="${_data.certificate_name}" class="layui-input" placeholder="证书名称"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">期限类型</td>
								<td>
									<div class="_stat">
										<input type="radio" name="stat" lay-filter="stat" value="short" title="短期">
										<input type="radio" name="stat" lay-filter="stat" value="long" title="长期">
									</div>
								</td>
								<td align="center">下次项目</td>
								<td align="center">
									<div>
										<input id="eqName" value="${_data.equipment_name}" autocomplete="off" class="layui-input" placeholder="下次项目"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>签发日期</td>
								<td align="center">
									<div>
										<input id="ceTime" autocomplete="off" value="${_data.certification_time}" class="layui-input" placeholder="签发日期"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>有效日期</td>
								<td align="center">
									<div>
										<input id="valOfCe" autocomplete="off" value="${_data.Validity_of_certificate}" class="layui-input" placeholder="有效日期"></input>
									</div>
								</td>
							</tr>
							
							<tr>
								<td align="center">证书正面</td>
								<td align="">
									<div class="flex align-end">
										<img id="icad1" src="${_data.certificate_cover}" style="height:100px;"/>
										<div class="text-blue margin-left yz_cursor" id="upLoad1">修改</div>
									</div>
								</td>
								<td align="center">证书内容</td>
								<td align="">
									<div class="flex align-end">
										<img id="icad2" src="${_data.certificate_cover}" style="height:100px;"/>
										<div class="text-blue margin-left yz_cursor" id="upLoad2">修改</div>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">备注</td>
								<td colspan="3">
									<div>
										<input id="remark" value="${_data.Certificate_classification}" class="layui-input" placeholder="备注"></input>
									</div>
								</td>
							</tr>
						<thead>
					</table>
				</form>
				<div class="padding-tb-sm text-center">
					<button class="layui-btn layui-btn-primary layui-border-green" id="demo1">取消</button>
					<button class="layui-btn" id="demo2">提交</button>
				</div>
			</div>`,
			shade: 0.5,
		});
		$("._stat input[value='" + (_data.all_time == "长期"?'long':'short') + "']").attr("checked", "true");
		if(_data.all_time=="长期"){
			$("#valOfCe").attr("disabled", true);
		};
		form.render();
		laydate.render({
			elem: '#ceTime',
			trigger: 'click'
		});
		laydate.render({
			elem: '#valOfCe',
			trigger: 'click'
		});
		upload.render({
			elem: '#upLoad1',
			url: 'https://www.enstation.com/iBoat_hjy/certificate_store',
			data: {
				usr: User_.userName
			},
			headers:{Token: dhTok},
			done: function (res, index, upload) {
				if (res.code == 0) {
					$("#icad1").attr("src",res.data.src);
				} else {
					layer.msg('上传图片失败，请重新上传');
				}
			},
			error: function (err) {
				layer.msg('上传图片失败，请重新上传');
			}
		});
		upload.render({
			elem: '#upLoad2',
			url: 'https://www.enstation.com/iBoat/certificate_store',
			data: {
				usr: User_.userName
			},
			headers:{Token: dhTok},
			done: function (res, index, upload) {
				if (res.code == 0) {
					$("#icad2").attr("src",res.data.src);
				} else {
					layer.msg('上传图片失败，请重新上传');
				}
			},
			error: function (err) {
				layer.msg('上传图片失败，请重新上传');
			}
		});
		form.on("radio(stat)", function(data){
			if(data.value == "long"){
				_data.all_time = "长期";
				$("#valOfCe").attr("disabled", true);
			}else{
				_data.all_time = "短期";
				$("#valOfCe").attr("disabled", false);
			}
		});
		$("#demo1").on("click", "", function() {
			layer.close(index);
		})
		$("#demo2").on("click", "", function() {
			let _time = _data.all_time == "长期"?"长期":$("#valOfCe").val();
			if($("#shipNa").val() != "" && $("#zsName").val() != "" && $("#ceTime").val() != ""&&_time != ""){
				var sqlXg = $("#zsName").val()+ "," +
							 $("#ceTime").val() + "," +
							 _time + "," + 
							 $("#icad1").attr("src") + "," +
							 $("#icad2").attr("src") + "," + 
							 $("#eqName").val() + ","+ 
							 $("#remark").val() + "," + 
							 $("#shipNa").val() ;
				if(_data.id != undefined){
					AddList('/iBoat_hjy/certificate_update', {
						zs_id: _data.id,
						in_data: sqlXg
					}, index);
				}else{
					AddList('/iBoat_hjy/certificate_insert', {
						in_data: sqlXg+ "," +User_.userName
					}, index);
				}
				
			}else{
				layer.msg("请填写用户信息！");
				return;
			}
		})
	}
	$(document).on("click","#open1 img",function(){
		seeImg("图片预览",$(this).attr("src"))
	})
	function AddList(_url, data1, ind) {
		let data = data1;
		let _opts= {
			url: _url,
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			if (res.result == "ok") {
				setHtml();
				layer.msg("操作成功");
				layer.close(ind);
			}
		})
	}
	function firstTable(obj) {
		personDataTable = table.render({
			elem: '#roTable',
			title: '角色列表',
			cols: [
				[{
					field: 'iboat_name',
					align: 'center',
					title: '船舶名称'
				}, {
					field: 'certificate_name',
					align: 'center',
					title: '证书名称'
				}, {
					field: 'certification_time',
					align: 'center',
					title: '签发日期'
				}, {
					field: 'equipment_name',
					align: 'center',
					title: '下次项目'
				}, {
					field: 'Validity_of_certificate',
					align: 'center',
					title: '有效日期'
				}, {
					field: 'all_time',
					align: 'center',
					title: '使用期限'
				}, {
					field: 'next_time',
					align: 'center',
					title: '期剩余天数',
					templet: '#timeTpl'
				}, {
					field: 'certificate_cover',
					align: 'center',
					title: '证书正面',
					templet: '#imgTpl'
				}, {
					field: 'certificate_content',
					align: 'center',
					title: '证书内容',
					templet: '#imgTpl1'
				}, {
					field: 'status',
					align: 'center',
					title: '状态',
					templet: '#staTpl'
				}, {
					field: 'Certificate_classification',
					align: 'center',
					title: '备注'
				}, {
					align: 'center',
					title: '操作',
					toolbar: '#barDemo',
					width: 150
				}]
			],
			data: obj,
			id: "testReload"
		});
		form.render();
	}
	function seeImg(txt,_src){
		let index1 = layer.open({
			title: txt,
			type: 1,
			area: ['90%', '90%'], 
			shadeClose: false,
			end: function (index, layero) {
				return false;
			},
			content: '<div style="text-align:center;width:100%;padding:10px;"><img src="' + _src + '" style="width:100%"/></div>'
		});
	}
	function getTimeBetween(date1,date2){
		var mydate1 = new Date(date1);
		var mydate2 = new Date(date2);
		var mydate3 = mydate2 - mydate1;
		var year=mydate3/(1000*60*60*24*365);
		var mydate4=mydate3%(1000*60*60*24*365);
		var month=mydate4/(1000*60*60*24*30);
		var mydate5=mydate4%(1000*60*60*24*30);
		var day=mydate5/(1000*60*60*24);
		let str="";
		if(year>0){
			str+=parseInt(year)+"年";
		}
		if(month>0){
			str+=parseInt(month)+"月";
		}
		if(day>0){
			str+=parseInt(day)+"天";
		}
		return str;
	};
});