	layui.use(['layer','table','element','form','laydate','upload'], function() {
	var element = layui.element,
		form = layui.form,
		table = layui.table,
		$ = layui.$,
		User_ = null,
		nowSn = localStorage.getItem("Safer_m"),
		allList = [];
	$("#search").on("input","",function(){
		let _key = $(this).val(),newArr = [],_ovj = allList;
		if(_key == ""){
			newArr = allList;
		}else{
			for(var i=0;i<_ovj.length;i++){
				if( JSON.stringify(_ovj[i]).indexOf(_key) != -1){
					newArr.push(_ovj[i])
				}
			}
		}
		firstTable(newArr);
	});
	$(document).ready(function(){
		User_=JSON.parse(getCookie("_YZS_Yu"));
		nowSn = localStorage.getItem("Safer_m");
		setHtml();
	})
	window.addEventListener('message',(data)=>{
		nowSn=localStorage.getItem("Safer_m");
		setHtml();
	})
	function setHtml() {
		let data = {
			// "usr": User_.userName,
			"usr": "dingheng",
			"state":"待开始"
		};
		let _opts= {
			url:"/get_iboatwx_list2",
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			if (res.length) {
				let _arr = [],_obj = res;
				for(let i=0;i<_obj.length;i++){
					_arr.push({
						Number: _obj[i][0],
						deviceId: _obj[i][2],
						deviceName: _obj[i][1],
						failureDate: _obj[i][3],
						failureCont: _obj[i][5],
						Priority: _obj[i][7],
						Repairer: _obj[i][11],
						Status: _obj[i][13],
						Position: _obj[i][4],
						RepairType: _obj[i][6],
						orderMaster: _obj[i][8],
						orderDate: _obj[i][9],
						finishTime: _obj[i][10],
						Phone:_obj[i][12]
					})
				}
				allList = _arr;
			} else {
				allList = [];
			}
			firstTable(allList);
		})
	}
	$("#newAdd").on("click","",function(){
		allEdit({
			Number: undefined,
			deviceId: "",
			deviceName: "",
			failureDate: "",
			failureCont: "",
			Priority: "",
			Repairer: "",
			Status: "待开始",
			Position: "",
			RepairType: "",
			orderMaster: "",
			orderDate: "",
			finishTime: "",
			Phone: "",
		},"new")
	})
	table.on('tool(roTable)', function(obj) {
		var _data = obj.data,
			layEvent = obj.event;
		if (layEvent === 'delete') {
			let index = layer.open({
				type: 1,
				title:'温馨提示',
				offset: 'auto',
				area: ["30%", "auto"],
				id: 'layerDemo2',
				content: '<div class="text-center padding text-black">请确认是否删除已选择的信息？</div>',
				btn: ['删除','取消'],
				yes: function() {
					let data = {
						id: _data.Number,
						tablename: "wait_start"
					};
					let _opts= {
						url: "/delete_wxiboat",
						type:"POST"
					}
					dhAjax(_opts,data)
					.then(function (res){
						setHtml();
						layer.msg(res.msg);
						layer.close(index);
					})
				}
			})
		}else if (layEvent === 'detail'){
			allEdit(_data,'detail');
		}else if (layEvent === 'edit'){
			allEdit(_data,'edit');
		}
	})
	function allEdit(_data,_txt){
		let index = layer.open({
			type: 1,
			offset: 'auto',
			title:"工单信息",
			area: ["70%", "auto"],
			id: 'open1',
			content: `<div style="padding: 0 2%;width:100%;">
				<form class="layui-form">
					<table class="layui-table" border-color="#95b99e">
						<thead>
							<tr>
								<td align="center"><span class="text-red">*</span>工单编号</td>
								<td align="center">
									<div>
										<input id="Number" disabled value="${_data.Number}" class="layui-input" placeholder="工单编号"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>故障日期</td>
								<td align="center">
									<div>
										<input id="failureDate" autocomplete="off" value="${_data.failureDate}" class="layui-input" placeholder="故障日期"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>设备编号</td>
								<td>
									<div>
										<input id="deviceId" autocomplete="off" value="${_data.deviceId}" class="layui-input" placeholder="设备编号"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>故障描述</td>
								<td align="center">
									<div>
										<input id="failureCont" value="${_data.failureCont}" autocomplete="off" class="layui-input" placeholder="故障描述"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>设备名称</td>
								<td align="center">
									<div>
										<input id="deviceName" autocomplete="off" value="${_data.deviceName}" class="layui-input" placeholder="设备名称"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>所在位置</td>
								<td align="center">
									<div>
										<input id="Position" autocomplete="off" value="${_data.Position}" class="layui-input" placeholder="所在位置"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>报修类型</td>
								<td align="center">
									<div>
										<input id="RepairType" autocomplete="off" value="${_data.RepairType}" class="layui-input" placeholder="报修类型"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>优先级</td>
								<td align="center">
									<div>
										<input id="Priority" autocomplete="off" value="${_data.Priority}" class="layui-input" placeholder="优先级"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center"><span class="text-red">*</span>报修人</td>
								<td align="center">
									<div>
										<input id="Repairer" autocomplete="off" value="${_data.Repairer}" class="layui-input" placeholder="报修人"></input>
									</div>
								</td>
								<td align="center"><span class="text-red">*</span>报修人号码</td>
								<td align="center">
									<div>
										<input id="Phone" autocomplete="off" value="${_data.Phone}" class="layui-input" placeholder="报修人号码"></input>
									</div>
								</td>
							</tr>
							<tr>
								<td align="center">工单状态</td>
								<td align="center">
									<div class="_stat">
										<input type="radio" disabled name="stat" lay-filter="stat" value="待开始" title="待开始">
										<input type="radio" disabled name="stat" lay-filter="stat" value="待完成" title="待完成">
										<input type="radio" disabled name="stat" lay-filter="stat" value="已完成" title="已完成">
									</div>
								</td>
							</tr>
						<thead>
					</table>
				</form>
				<div class="padding-tb-sm text-center">
					<button class="layui-btn layui-btn-primary layui-border-green" id="demo1">${_txt == "detail"?'关闭':'取消'}</button>
					${_txt != "detail"?'<button class="layui-btn" id="demo2">提交</button>':''}
				</div>
			</div>`,
			shade: 0.5,
		});
		$("._stat input[value='" + _data.Status + "']").attr("checked", "true");
		if(_txt == "detail"){
			$("#open1 input").attr("disabled", true);
		}
		form.render();
		$("#demo1").on("click", "", function() {
			layer.close(index);
		})
		$("#demo2").on("click", "", function() {
			let _time = _data.all_time == "长期"?"长期":$("#valOfCe").val();
			
		})
	}
	function firstTable(obj) {
		personDataTable = table.render({
			elem: '#roTable',
			title: '角色列表',
			cols: [
				[{
					field: 'Number',
					align: 'center',
					title: '工单编号'
				}, {
					field: 'deviceId',
					align: 'center',
					title: '设备编号'
				}, {
					field: 'deviceName',
					align: 'center',
					title: '设备名称'
				}, {
					field: 'failureDate',
					align: 'center',
					title: '故障日期'
				}, {
					field: 'failureCont',
					align: 'center',
					title: '故障描述'
				}, {
					field: 'Priority',
					align: 'center',
					title: '优先级'
				}, {
					field: 'Repairer',
					align: 'center',
					title: '报修人'
				}, {
					field: 'Status',
					align: 'center',
					title: '状态'
				}, {
					align: 'center',
					title: '操作',
					toolbar: '#barDemo',
					width: 160
				}]
			],
			data: obj,
			id: "testReload"
		});
		form.render();
	}
});